#include<iostream>

using namespace std;

int main() {
	int N;
	cin>>N;
	int x[2*N];
	for (int i = 0; i < 2*N; i++) {
		cin>>x[i];
	}
	if(N<3){
		if(N==1){
			cout<<0;
		}
		else{
			if (x[0] != x[2] && x[1] != x[3]) {
				cout<<0;
			}
			else{
				cout<<1;
			}
		}
	}
	else{
		cout<<0;
	}
	
	return 0;
}